Skip to main content
POST
/
api
/
Reminder
Create Manual Reminder
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Reminder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskType": "<string>",
  "message": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "ownerEmail": "<string>",
  "description": "<string>"
}
'
{
  "id": "<integer>",
  "message": "<string>",
  "targetDate": "<string>",
  "targetResolutionDateUtc": "<dateTime>",
  "contactId": "<integer>",
  "contactViewUrl": "<string>",
  "contactDisplayName": "<string>",
  "contactAvatarUrl": "<string>",
  "reminderType": "<string>",
  "reminderTypeDisplayName": "<string>",
  "taskStatus": "<string>",
  "taskStatusDisplayName": "<string>",
  "completeUrl": "<string>",
  "dismissUrl": "<string>",
  "description": "<string>",
  "hasContact": "<boolean>",
  "isPastDue": "<boolean>",
  "isUnresolved": "<boolean>",
  "canComplete": "<boolean>",
  "completeActionName": "<string>",
  "canCompleteWithNote": "<boolean>",
  "owner": "<string>",
  "ownerAvatarUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
taskType
string
message
string
dueDate
string
contactId
string
ownerEmail
string
description
string

Response

OK

id
string
message
string
targetDate
string
targetResolutionDateUtc
string
contactId
string
contactViewUrl
string
contactDisplayName
string
contactAvatarUrl
string
reminderType
string
reminderTypeDisplayName
string
taskStatus
string
taskStatusDisplayName
string
completeUrl
string
dismissUrl
string
description
string
hasContact
string
isPastDue
string
isUnresolved
string
canComplete
string
completeActionName
string
canCompleteWithNote
string
owner
string
ownerAvatarUrl
string
Last modified on June 5, 2026